List endpoints
curl --request GET \
--url https://inference.api.nscale.com/organizations/{organization_id}/endpoints \
--header 'Authorization: Bearer <token>'import requests
url = "https://inference.api.nscale.com/organizations/{organization_id}/endpoints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://inference.api.nscale.com/organizations/{organization_id}/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"models": [
{
"id": "<string>",
"developer": "<string>",
"description": "<string>",
"licenses": [
{
"name": "<string>",
"url": "<string>"
}
],
"attributions": [
"<string>"
],
"hf_id": "<string>",
"name": "<string>",
"size": 123,
"output_price_per_million": "<string>",
"parameters": 123,
"data_type": "<string>",
"input_price_per_million": "<string>",
"unsupported_openai_params": [
"<string>"
],
"context_length": 123
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"error_type": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"error_type": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"error_type": "<string>",
"param": "<string>"
}
}Models
List endpoints
Returns a list of all model endpoints that are available for use by the specified organization. Includes details like pricing as decimal USD, model information, and last usage.
GET
/
organizations
/
{organization_id}
/
endpoints
List endpoints
Was this page helpful?
⌘I